summaryrefslogtreecommitdiffstats
path: root/source/tcl/tclx
diff options
context:
space:
mode:
Diffstat (limited to 'source/tcl/tclx')
-rw-r--r--source/tcl/tclx/tclx-8.4.configure.diff31
-rw-r--r--source/tcl/tclx/tclx-8.4.gcc4.diff11
-rwxr-xr-xsource/tcl/tclx/tclx.SlackBuild15
3 files changed, 8 insertions, 49 deletions
diff --git a/source/tcl/tclx/tclx-8.4.configure.diff b/source/tcl/tclx/tclx-8.4.configure.diff
deleted file mode 100644
index 45fe68760..000000000
--- a/source/tcl/tclx/tclx-8.4.configure.diff
+++ /dev/null
@@ -1,31 +0,0 @@
---- tclx8.4/configure.relid 2006-02-03 16:13:25.000000000 -0500
-+++ tclx8.4/configure 2006-02-03 16:13:33.000000000 -0500
-@@ -6999,7 +6999,7 @@
- # results, and the version is kept in special file).
-
- if test -r /etc/.relid -a "X`uname -n`" = "X`uname -s`" ; then
-- system=MP-RAS-`awk '{print }' /etc/.relid'`
-+ system=MP-RAS-`awk '{print }' /etc/.relid`
- fi
- if test "`uname -s`" = "AIX" ; then
- system=AIX-`uname -v`.`uname -r`
---- tclx8.4/tclconfig/tcl.m4.relid 2006-02-03 16:13:43.000000000 -0500
-+++ tclx8.4/tclconfig/tcl.m4 2006-02-03 16:13:57.000000000 -0500
-@@ -859,7 +859,7 @@
- # results, and the version is kept in special file).
-
- if test -r /etc/.relid -a "X`uname -n`" = "X`uname -s`" ; then
-- system=MP-RAS-`awk '{print $3}' /etc/.relid'`
-+ system=MP-RAS-`awk '{print $3}' /etc/.relid`
- fi
- if test "`uname -s`" = "AIX" ; then
- system=AIX-`uname -v`.`uname -r`
-@@ -2302,7 +2302,7 @@
- # results, and the version is kept in special file).
-
- if test -r /etc/.relid -a "X`uname -n`" = "X`uname -s`" ; then
-- system=MP-RAS-`awk '{print $3}' /etc/.relid'`
-+ system=MP-RAS-`awk '{print $3}' /etc/.relid`
- fi
- if test "`uname -s`" = "AIX" ; then
- system=AIX-`uname -v`.`uname -r`
diff --git a/source/tcl/tclx/tclx-8.4.gcc4.diff b/source/tcl/tclx/tclx-8.4.gcc4.diff
deleted file mode 100644
index 08fe7d881..000000000
--- a/source/tcl/tclx/tclx-8.4.gcc4.diff
+++ /dev/null
@@ -1,11 +0,0 @@
---- tclx8.4/generic/tclXdup.c.varinit 2006-02-03 15:54:38.000000000 -0500
-+++ tclx8.4/generic/tclXdup.c 2006-02-03 15:54:53.000000000 -0500
-@@ -202,7 +202,7 @@
- {
- Tcl_Channel newChannel;
- int bindFnum, fnum;
-- char *srcChannelId, *targetChannelId;
-+ char *srcChannelId = NULL, *targetChannelId;
-
- if ((objc < 2) || (objc > 3)) {
- return TclX_WrongArgs (interp, objv [0],
diff --git a/source/tcl/tclx/tclx.SlackBuild b/source/tcl/tclx/tclx.SlackBuild
index f6d538cea..a562e180c 100755
--- a/source/tcl/tclx/tclx.SlackBuild
+++ b/source/tcl/tclx/tclx.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2006, 2007, 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006, 2007, 2008, 2009, 2013 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,7 +22,7 @@
PKGNAM=tclx
-VERSION=${VERSION:-8.4}
+VERSION=${VERSION:-8.4.1}
NUMJOBS=${NUMJOBS:-" -j7 "}
BUILD=${BUILD:-3}
@@ -54,12 +54,12 @@ elif [ "$ARCH" = "x86_64" ]; then
fi
cd $TMP
-rm -rf ${PKGNAM}${VERSION}
-tar xvf $CWD/${PKGNAM}$VERSION.tar.bz2 || exit 1
-cd ${PKGNAM}$VERSION || exit 1
+rm -rf ${PKGNAM}8.?
+tar xvf $CWD/${PKGNAM}$VERSION.tar.xz || exit 1
+cd ${PKGNAM}8.4 || exit 1
-zcat $CWD/tclx-8.4.configure.diff.gz | patch -p1 --verbose || exit 1
-zcat $CWD/tclx-8.4.gcc4.diff.gz | patch -p1 --verbose || exit 1
+#zcat $CWD/tclx-8.4.configure.diff.gz | patch -p1 --verbose || exit 1
+#zcat $CWD/tclx-8.4.gcc4.diff.gz | patch -p1 --verbose || exit 1
# Make sure ownerships and permissions are sane:
chown -R root:root .
@@ -71,6 +71,7 @@ find . \
# Configure:
CFLAGS="$SLKCFLAGS" \
+CPPFLAGS="-DUSE_INTERP_RESULT" \
./configure \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \